CREATE TABLE hrc_sem_jobs (
    JOB_ID                    NUMBER(18, 0) ,
    URI                       VARCHAR2(4000)    NOT NULL,
    REQUISITION_ID            NUMBER            NOT NULL,
    REQUISITION_TITLE         VARCHAR2(960) ,
    JOB_FAMILY_NAME           VARCHAR2(960) ,
    JOB_FUNCTION_NAME         VARCHAR2(512) ,
    JOB_FAMILY_ID             VARCHAR2(512) ,
    JOB_FUNCTION_ID           VARCHAR2(512) ,
    POSTED_JOB_ID             VARCHAR2(512)     NOT NULL,
    SHORT_DESCRIPTION_CLOB    CLOB          ,
    LONG_DESCRIPTION_CLOB     CLOB          ,
    POSTED_DATE               TIMESTAMP(6)      NOT NULL,
    TRAVEL_REQUIRED           VARCHAR2(16)  ,
    LOCATION_COUNTRY_ID       VARCHAR2(320) ,
    LOCATION_STATE_ID         VARCHAR2(320) ,
    LOCATION_CITY_ID          VARCHAR2(320) ,
    LOCATION_FQN              VARCHAR2(4000),
    LOCATION_LATITUDE         NUMBER        ,
    LOCATION_LONGITUDE        NUMBER        ,
    STATUS                    NUMBER(8, 0)  ,
    IS_ERROR                  NUMBER(8, 0)  ,
    ERROR_MESSAGE             VARCHAR2(4000),
    BATCH_ID                  NUMBER(18, 0) ,
    CREATED_BY                VARCHAR2(256)     NOT NULL,
    CREATION_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)      NOT NULL,
    REQUISITION_NUMBER        VARCHAR2(960) ,
    JOB_SHIFT_ID              VARCHAR2(512) ,
    FULL_OR_PART_TIME_ID      VARCHAR2(512) ,
    EDUCATION_LEVEL_ID        VARCHAR2(512) ,
    JOB_TYPE_ID               VARCHAR2(512) ,
    EXPIRY_DATE               TIMESTAMP(6)  ,
    MANAGEMENT_LEVEL_ID       VARCHAR2(512) ,
    ORGANIZATION_ID           VARCHAR2(512) ,
    RECRUITING_TYPE           VARCHAR2(512) ,
    JOB_ID                    NUMBER(18, 0) ,
    URI                       VARCHAR2(4000)    NOT NULL,
    REQUISITION_ID            NUMBER            NOT NULL,
    REQUISITION_TITLE         VARCHAR2(960) ,
    JOB_FAMILY_NAME           VARCHAR2(960) ,
    JOB_FUNCTION_NAME         VARCHAR2(512) ,
    JOB_FAMILY_ID             VARCHAR2(512) ,
    JOB_FUNCTION_ID           VARCHAR2(512) ,
    POSTED_JOB_ID             VARCHAR2(512)     NOT NULL,
    SHORT_DESCRIPTION_CLOB    CLOB          ,
    LONG_DESCRIPTION_CLOB     CLOB          ,
    POSTED_DATE               TIMESTAMP(6)      NOT NULL,
    TRAVEL_REQUIRED           VARCHAR2(16)  ,
    LOCATION_COUNTRY_ID       VARCHAR2(320) ,
    LOCATION_STATE_ID         VARCHAR2(320) ,
    LOCATION_CITY_ID          VARCHAR2(320) ,
    LOCATION_FQN              VARCHAR2(4000),
    LOCATION_LATITUDE         NUMBER        ,
    LOCATION_LONGITUDE        NUMBER        ,
    STATUS                    NUMBER(8, 0)  ,
    IS_ERROR                  NUMBER(8, 0)  ,
    ERROR_MESSAGE             VARCHAR2(4000),
    BATCH_ID                  NUMBER(18, 0) ,
    CREATED_BY                VARCHAR2(256)     NOT NULL,
    CREATION_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)      NOT NULL,
    REQUISITION_NUMBER        VARCHAR2(960) ,
    JOB_SHIFT_ID              VARCHAR2(512) ,
    FULL_OR_PART_TIME_ID      VARCHAR2(512) ,
    EDUCATION_LEVEL_ID        VARCHAR2(512) ,
    JOB_TYPE_ID               VARCHAR2(512) ,
    EXPIRY_DATE               TIMESTAMP(6)  ,
    MANAGEMENT_LEVEL_ID       VARCHAR2(512) ,
    ORGANIZATION_ID           VARCHAR2(512) ,
    RECRUITING_TYPE           VARCHAR2(512) ,
    CONSTRAINT pk_hrc_sem_jobs PRIMARY KEY (JOB_ID, JOB_ID)
);
